Makefile.in 27.7 KB
Newer Older
Tobias Quathamer's avatar
Tobias Quathamer committed
1
# Makefile.in generated by automake 1.15 from Makefile.am.
2 3
# @configure_input@

Tobias Quathamer's avatar
Tobias Quathamer committed
4
# Copyright (C) 1994-2014 Free Software Foundation, Inc.
Tobias Quathamer's avatar
Tobias Quathamer committed
5

6 7 8 9 10 11 12 13 14 15 16 17
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.

@SET_MAKE@

VPATH = @srcdir@
Tobias Quathamer's avatar
Tobias Quathamer committed
18 19 20 21 22 23 24 25 26 27 28
am__is_gnu_make = { \
  if test -z '$(MAKELEVEL)'; then \
    false; \
  elif test -n '$(MAKE_HOST)'; then \
    true; \
  elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
    true; \
  else \
    false; \
  fi; \
}
Tobias Quathamer's avatar
Tobias Quathamer committed
29 30 31 32 33 34 35 36 37 38 39 40
am__make_running_with_option = \
  case $${target_option-} in \
      ?) ;; \
      *) echo "am__make_running_with_option: internal error: invalid" \
              "target option '$${target_option-}' specified" >&2; \
         exit 1;; \
  esac; \
  has_opt=no; \
  sane_makeflags=$$MAKEFLAGS; \
  if $(am__is_gnu_make); then \
    sane_makeflags=$$MFLAGS; \
  else \
41 42
    case $$MAKEFLAGS in \
      *\\[\ \	]*) \
Tobias Quathamer's avatar
Tobias Quathamer committed
43 44 45
        bs=\\; \
        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
          | sed "s/$$bs$$bs[$$bs $$bs	]*//g"`;; \
46
    esac; \
Tobias Quathamer's avatar
Tobias Quathamer committed
47 48 49 50 51 52 53 54 55 56 57 58 59 60 61 62 63 64 65 66 67 68 69 70 71 72
  fi; \
  skip_next=no; \
  strip_trailopt () \
  { \
    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
  }; \
  for flg in $$sane_makeflags; do \
    test $$skip_next = yes && { skip_next=no; continue; }; \
    case $$flg in \
      *=*|--*) continue;; \
        -*I) strip_trailopt 'I'; skip_next=yes;; \
      -*I?*) strip_trailopt 'I';; \
        -*O) strip_trailopt 'O'; skip_next=yes;; \
      -*O?*) strip_trailopt 'O';; \
        -*l) strip_trailopt 'l'; skip_next=yes;; \
      -*l?*) strip_trailopt 'l';; \
      -[dEDm]) skip_next=yes;; \
      -[JT]) skip_next=yes;; \
    esac; \
    case $$flg in \
      *$$target_option*) has_opt=yes; break;; \
    esac; \
  done; \
  test $$has_opt = yes
am__make_dryrun = (target_option=n; $(am__make_running_with_option))
am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
73 74
pkgdatadir = $(datadir)/@PACKAGE@
pkgincludedir = $(includedir)/@PACKAGE@
75 76
pkglibdir = $(libdir)/@PACKAGE@
pkglibexecdir = $(libexecdir)/@PACKAGE@
77 78 79 80 81 82 83 84 85 86 87 88 89 90 91 92 93
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
subdir = .
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
Tobias Quathamer's avatar
Tobias Quathamer committed
94
DIST_COMMON = $(srcdir)/Makefile.am $(top_srcdir)/configure \
95
	$(am__configure_deps) $(dist_json_DATA) $(am__DIST_COMMON)
96
am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
LI Daobing's avatar
LI Daobing committed
97
 configure.lineno config.status.lineno
98 99
mkinstalldirs = $(install_sh) -d
CONFIG_CLEAN_FILES = iso-codes.pc
100
CONFIG_CLEAN_VPATH_FILES =
Tobias Quathamer's avatar
Tobias Quathamer committed
101 102 103 104 105 106 107 108 109 110 111 112
AM_V_P = $(am__v_P_@AM_V@)
am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
am__v_P_0 = false
am__v_P_1 = :
AM_V_GEN = $(am__v_GEN_@AM_V@)
am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
am__v_GEN_0 = @echo "  GEN     " $@;
am__v_GEN_1 = 
AM_V_at = $(am__v_at_@AM_V@)
am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
am__v_at_0 = @
am__v_at_1 = 
113 114
SOURCES =
DIST_SOURCES =
Tobias Quathamer's avatar
Tobias Quathamer committed
115 116 117 118 119 120 121 122
RECURSIVE_TARGETS = all-recursive check-recursive cscopelist-recursive \
	ctags-recursive dvi-recursive html-recursive info-recursive \
	install-data-recursive install-dvi-recursive \
	install-exec-recursive install-html-recursive \
	install-info-recursive install-pdf-recursive \
	install-ps-recursive install-recursive installcheck-recursive \
	installdirs-recursive pdf-recursive ps-recursive \
	tags-recursive uninstall-recursive
123 124 125 126 127
am__can_run_installinfo = \
  case $$AM_UPDATE_INFO_DIR in \
    n|no|NO) false;; \
    *) (install-info --version) >/dev/null 2>&1;; \
  esac
128 129 130 131 132
am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
am__vpath_adj = case $$p in \
    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
    *) f=$$p;; \
  esac;
133 134 135 136 137 138 139 140 141 142 143 144 145 146 147 148
am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
am__install_max = 40
am__nobase_strip_setup = \
  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
am__nobase_strip = \
  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
am__nobase_list = $(am__nobase_strip_setup); \
  for p in $$list; do echo "$$p $$p"; done | \
  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
    if (++n[$$2] == $(am__install_max)) \
      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
    END { for (dir in files) print dir, files[dir] }'
am__base_list = \
  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
Tobias Quathamer's avatar
Tobias Quathamer committed
149 150 151 152 153 154
am__uninstall_files_from_dir = { \
  test -z "$$files" \
    || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
    || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
         $(am__cd) "$$dir" && rm -f $$files; }; \
  }
155 156
am__installdirs = "$(DESTDIR)$(jsondir)" "$(DESTDIR)$(pkgconfigdir)"
DATA = $(dist_json_DATA) $(pkgconfig_DATA)
LI Daobing's avatar
LI Daobing committed
157 158
RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive	\
  distclean-recursive maintainer-clean-recursive
Tobias Quathamer's avatar
Tobias Quathamer committed
159 160 161 162 163 164 165 166 167 168 169 170 171 172 173 174 175 176 177 178 179 180 181
am__recursive_targets = \
  $(RECURSIVE_TARGETS) \
  $(RECURSIVE_CLEAN_TARGETS) \
  $(am__extra_recursive_targets)
AM_RECURSIVE_TARGETS = $(am__recursive_targets:-recursive=) TAGS CTAGS \
	cscope distdir dist dist-all distcheck
am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
# Read a list of newline-separated strings from the standard input,
# and print each of them once, without duplicates.  Input order is
# *not* preserved.
am__uniquify_input = $(AWK) '\
  BEGIN { nonempty = 0; } \
  { items[$$0] = 1; nonempty = 1; } \
  END { if (nonempty) { for (i in items) print i; }; } \
'
# Make sure the list of sources is unique.  This is necessary because,
# e.g., the same source file might be shared among _SOURCES variables
# for different programs/libraries.
am__define_uniq_tagged_files = \
  list='$(am__tagged_files)'; \
  unique=`for i in $$list; do \
    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
  done | $(am__uniquify_input)`
182 183
ETAGS = etags
CTAGS = ctags
Tobias Quathamer's avatar
Tobias Quathamer committed
184
CSCOPE = cscope
185
DIST_SUBDIRS = $(SUBDIRS)
Tobias Quathamer's avatar
Tobias Quathamer committed
186
am__DIST_COMMON = $(srcdir)/Makefile.in $(srcdir)/iso-codes.pc.in \
187
	COPYING ChangeLog INSTALL TODO install-sh missing
188 189 190 191
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
distdir = $(PACKAGE)-$(VERSION)
top_distdir = $(distdir)
am__remove_distdir = \
Tobias Quathamer's avatar
Tobias Quathamer committed
192 193 194 195 196
  if test -d "$(distdir)"; then \
    find "$(distdir)" -type d ! -perm -200 -exec chmod u+w {} ';' \
      && rm -rf "$(distdir)" \
      || { sleep 5 && rm -rf "$(distdir)"; }; \
  else :; fi
Tobias Quathamer's avatar
Tobias Quathamer committed
197
am__post_remove_distdir = $(am__remove_distdir)
198 199 200 201 202 203 204 205 206 207 208 209 210 211 212 213 214 215 216 217 218 219 220 221 222
am__relativize = \
  dir0=`pwd`; \
  sed_first='s,^\([^/]*\)/.*$$,\1,'; \
  sed_rest='s,^[^/]*/*,,'; \
  sed_last='s,^.*/\([^/]*\)$$,\1,'; \
  sed_butlast='s,/*[^/]*$$,,'; \
  while test -n "$$dir1"; do \
    first=`echo "$$dir1" | sed -e "$$sed_first"`; \
    if test "$$first" != "."; then \
      if test "$$first" = ".."; then \
        dir2=`echo "$$dir0" | sed -e "$$sed_last"`/"$$dir2"; \
        dir0=`echo "$$dir0" | sed -e "$$sed_butlast"`; \
      else \
        first2=`echo "$$dir2" | sed -e "$$sed_first"`; \
        if test "$$first2" = "$$first"; then \
          dir2=`echo "$$dir2" | sed -e "$$sed_rest"`; \
        else \
          dir2="../$$dir2"; \
        fi; \
        dir0="$$dir0"/"$$first"; \
      fi; \
    fi; \
    dir1=`echo "$$dir1" | sed -e "$$sed_rest"`; \
  done; \
  reldir="$$dir2"
223
GZIP_ENV = --best
224
DIST_ARCHIVES = $(distdir).tar.xz
Tobias Quathamer's avatar
Tobias Quathamer committed
225
DIST_TARGETS = dist-xz
226
distuninstallcheck_listfiles = find . -type f -print
Tobias Quathamer's avatar
Tobias Quathamer committed
227 228
am__distuninstallcheck_listfiles = $(distuninstallcheck_listfiles) \
  | sed 's|^\./|$(prefix)/|' | grep -v '$(infodir)/dir$$'
229 230 231
distcleancheck_listfiles = find . -type f -print
ACLOCAL = @ACLOCAL@
AMTAR = @AMTAR@
Tobias Quathamer's avatar
Tobias Quathamer committed
232
AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
233 234 235 236 237 238 239 240 241 242
AUTOCONF = @AUTOCONF@
AUTOHEADER = @AUTOHEADER@
AUTOMAKE = @AUTOMAKE@
AWK = @AWK@
CYGPATH_W = @CYGPATH_W@
DEFS = @DEFS@
DOMAINS = @DOMAINS@
ECHO_C = @ECHO_C@
ECHO_N = @ECHO_N@
ECHO_T = @ECHO_T@
LI Daobing's avatar
LI Daobing committed
243
INSTALL = @INSTALL@
244 245 246 247 248 249
INSTALL_DATA = @INSTALL_DATA@
INSTALL_PROGRAM = @INSTALL_PROGRAM@
INSTALL_SCRIPT = @INSTALL_SCRIPT@
INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
LIBOBJS = @LIBOBJS@
LIBS = @LIBS@
250
LN_S = @LN_S@
251 252 253
LTLIBOBJS = @LTLIBOBJS@
MAINT = @MAINT@
MAKEINFO = @MAKEINFO@
LI Daobing's avatar
LI Daobing committed
254
MKDIR_P = @MKDIR_P@
255
MSGATTRIB = @MSGATTRIB@
256
MSGFILTER = @MSGFILTER@
257
MSGFMT = @MSGFMT@
LI Daobing's avatar
LI Daobing committed
258
MSGFMT_FLAGS = @MSGFMT_FLAGS@
259
MSGMERGE = @MSGMERGE@
260 261 262 263 264
PACKAGE = @PACKAGE@
PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
PACKAGE_NAME = @PACKAGE_NAME@
PACKAGE_STRING = @PACKAGE_STRING@
PACKAGE_TARNAME = @PACKAGE_TARNAME@
265
PACKAGE_URL = @PACKAGE_URL@
266 267
PACKAGE_VERSION = @PACKAGE_VERSION@
PATH_SEPARATOR = @PATH_SEPARATOR@
268
RECODE_SR_LATIN = @RECODE_SR_LATIN@
269 270 271 272
SET_MAKE = @SET_MAKE@
SHELL = @SHELL@
STRIP = @STRIP@
VERSION = @VERSION@
LI Daobing's avatar
LI Daobing committed
273 274 275 276
abs_builddir = @abs_builddir@
abs_srcdir = @abs_srcdir@
abs_top_builddir = @abs_top_builddir@
abs_top_srcdir = @abs_top_srcdir@
277 278 279 280 281
am__leading_dot = @am__leading_dot@
am__tar = @am__tar@
am__untar = @am__untar@
bindir = @bindir@
build_alias = @build_alias@
LI Daobing's avatar
LI Daobing committed
282
builddir = @builddir@
283 284 285 286 287 288 289 290 291 292 293 294 295 296 297 298 299 300 301 302 303
datadir = @datadir@
datarootdir = @datarootdir@
docdir = @docdir@
dvidir = @dvidir@
exec_prefix = @exec_prefix@
host_alias = @host_alias@
htmldir = @htmldir@
includedir = @includedir@
infodir = @infodir@
install_sh = @install_sh@
libdir = @libdir@
libexecdir = @libexecdir@
localedir = @localedir@
localstatedir = @localstatedir@
mandir = @mandir@
mkdir_p = @mkdir_p@
oldincludedir = @oldincludedir@
pdfdir = @pdfdir@
prefix = @prefix@
program_transform_name = @program_transform_name@
psdir = @psdir@
Tobias Quathamer's avatar
Tobias Quathamer committed
304
runstatedir = @runstatedir@
305 306
sbindir = @sbindir@
sharedstatedir = @sharedstatedir@
LI Daobing's avatar
LI Daobing committed
307
srcdir = @srcdir@
308 309
sysconfdir = @sysconfdir@
target_alias = @target_alias@
310
top_build_prefix = @top_build_prefix@
LI Daobing's avatar
LI Daobing committed
311 312
top_builddir = @top_builddir@
top_srcdir = @top_srcdir@
313
SUBDIRS = $(DOMAINS)
314 315
pkgconfigdir = $(datadir)/pkgconfig
pkgconfig_DATA = iso-codes.pc
Tobias Quathamer's avatar
Tobias Quathamer committed
316

317
# Install the JSON files.
Tobias Quathamer's avatar
Tobias Quathamer committed
318 319
jsondir = $(pkgdatadir)/json
dist_json_DATA = $(wildcard $(srcdir)/data/*.json)
320

321 322
# Include the "bin" directory, the common Makefile snippet
# and the markdown documentation currently not handled
323
# by automake
324
EXTRA_DIST = bin common.mk README.md
325 326 327 328
DISTCLEANFILES = $(pkgconfig_DATA)
all: all-recursive

.SUFFIXES:
Tobias Quathamer's avatar
Tobias Quathamer committed
329
am--refresh: Makefile
330 331 332 333 334
	@:
$(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am  $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
335 336
	      echo ' cd $(srcdir) && $(AUTOMAKE) --foreign'; \
	      $(am__cd) $(srcdir) && $(AUTOMAKE) --foreign \
337 338 339 340
		&& exit 0; \
	      exit 1;; \
	  esac; \
	done; \
341 342 343
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign Makefile'; \
	$(am__cd) $(top_srcdir) && \
	  $(AUTOMAKE) --foreign Makefile
344 345 346 347 348 349 350 351 352 353 354 355 356 357
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    echo ' $(SHELL) ./config.status'; \
	    $(SHELL) ./config.status;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe);; \
	esac;

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	$(SHELL) ./config.status --recheck

$(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
358
	$(am__cd) $(srcdir) && $(AUTOCONF)
359
$(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
360 361
	$(am__cd) $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
$(am__aclocal_m4_deps):
362 363
iso-codes.pc: $(top_builddir)/config.status $(srcdir)/iso-codes.pc.in
	cd $(top_builddir) && $(SHELL) ./config.status $@
Tobias Quathamer's avatar
Tobias Quathamer committed
364 365 366 367 368 369 370 371 372 373 374 375 376 377 378 379 380 381 382 383 384
install-dist_jsonDATA: $(dist_json_DATA)
	@$(NORMAL_INSTALL)
	@list='$(dist_json_DATA)'; test -n "$(jsondir)" || list=; \
	if test -n "$$list"; then \
	  echo " $(MKDIR_P) '$(DESTDIR)$(jsondir)'"; \
	  $(MKDIR_P) "$(DESTDIR)$(jsondir)" || exit 1; \
	fi; \
	for p in $$list; do \
	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
	  echo "$$d$$p"; \
	done | $(am__base_list) | \
	while read files; do \
	  echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(jsondir)'"; \
	  $(INSTALL_DATA) $$files "$(DESTDIR)$(jsondir)" || exit $$?; \
	done

uninstall-dist_jsonDATA:
	@$(NORMAL_UNINSTALL)
	@list='$(dist_json_DATA)'; test -n "$(jsondir)" || list=; \
	files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
	dir='$(DESTDIR)$(jsondir)'; $(am__uninstall_files_from_dir)
385 386
install-pkgconfigDATA: $(pkgconfig_DATA)
	@$(NORMAL_INSTALL)
387
	@list='$(pkgconfig_DATA)'; test -n "$(pkgconfigdir)" || list=; \
388 389 390 391
	if test -n "$$list"; then \
	  echo " $(MKDIR_P) '$(DESTDIR)$(pkgconfigdir)'"; \
	  $(MKDIR_P) "$(DESTDIR)$(pkgconfigdir)" || exit 1; \
	fi; \
392
	for p in $$list; do \
393
	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
394 395 396 397 398
	  echo "$$d$$p"; \
	done | $(am__base_list) | \
	while read files; do \
	  echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(pkgconfigdir)'"; \
	  $(INSTALL_DATA) $$files "$(DESTDIR)$(pkgconfigdir)" || exit $$?; \
399 400 401 402
	done

uninstall-pkgconfigDATA:
	@$(NORMAL_UNINSTALL)
403 404
	@list='$(pkgconfig_DATA)'; test -n "$(pkgconfigdir)" || list=; \
	files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
Tobias Quathamer's avatar
Tobias Quathamer committed
405
	dir='$(DESTDIR)$(pkgconfigdir)'; $(am__uninstall_files_from_dir)
406 407

# This directory's subdirectories are mostly independent; you can cd
Tobias Quathamer's avatar
Tobias Quathamer committed
408 409 410 411 412 413 414 415 416 417 418 419
# into them and run 'make' without going through this Makefile.
# To change the values of 'make' variables: instead of editing Makefiles,
# (1) if the variable is set in 'config.status', edit 'config.status'
#     (which will cause the Makefiles to be regenerated when you run 'make');
# (2) otherwise, pass the desired values on the 'make' command line.
$(am__recursive_targets):
	@fail=; \
	if $(am__make_keepgoing); then \
	  failcom='fail=yes'; \
	else \
	  failcom='exit 1'; \
	fi; \
420 421
	dot_seen=no; \
	target=`echo $@ | sed s/-recursive//`; \
Tobias Quathamer's avatar
Tobias Quathamer committed
422 423 424 425 426
	case "$@" in \
	  distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
	  *) list='$(SUBDIRS)' ;; \
	esac; \
	for subdir in $$list; do \
427 428 429 430 431 432 433
	  echo "Making $$target in $$subdir"; \
	  if test "$$subdir" = "."; then \
	    dot_seen=yes; \
	    local_target="$$target-am"; \
	  else \
	    local_target="$$target"; \
	  fi; \
434
	  ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
435 436 437 438 439 440
	  || eval $$failcom; \
	done; \
	if test "$$dot_seen" = "no"; then \
	  $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
	fi; test -z "$$fail"

Tobias Quathamer's avatar
Tobias Quathamer committed
441 442 443 444
ID: $(am__tagged_files)
	$(am__define_uniq_tagged_files); mkid -fID $$unique
tags: tags-recursive
TAGS: tags
445

Tobias Quathamer's avatar
Tobias Quathamer committed
446
tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
447
	set x; \
448 449 450 451 452 453 454 455 456 457 458
	here=`pwd`; \
	if ($(ETAGS) --etags-include --version) >/dev/null 2>&1; then \
	  include_option=--etags-include; \
	  empty_fix=.; \
	else \
	  include_option=--include; \
	  empty_fix=; \
	fi; \
	list='$(SUBDIRS)'; for subdir in $$list; do \
	  if test "$$subdir" = .; then :; else \
	    test ! -f $$subdir/TAGS || \
459
	      set "$$@" "$$include_option=$$here/$$subdir/TAGS"; \
460 461
	  fi; \
	done; \
Tobias Quathamer's avatar
Tobias Quathamer committed
462
	$(am__define_uniq_tagged_files); \
463 464
	shift; \
	if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
465
	  test -n "$$unique" || unique=$$empty_fix; \
466 467 468 469 470 471 472
	  if test $$# -gt 0; then \
	    $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
	      "$$@" $$unique; \
	  else \
	    $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
	      $$unique; \
	  fi; \
473
	fi
Tobias Quathamer's avatar
Tobias Quathamer committed
474 475 476 477 478
ctags: ctags-recursive

CTAGS: ctags
ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
	$(am__define_uniq_tagged_files); \
479
	test -z "$(CTAGS_ARGS)$$unique" \
480
	  || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
481
	     $$unique
482 483 484

GTAGS:
	here=`$(am__cd) $(top_builddir) && pwd` \
485 486
	  && $(am__cd) $(top_srcdir) \
	  && gtags -i $(GTAGS_ARGS) "$$here"
Tobias Quathamer's avatar
Tobias Quathamer committed
487 488 489 490 491 492 493 494 495 496 497 498 499 500 501 502 503 504 505 506 507
cscope: cscope.files
	test ! -s cscope.files \
	  || $(CSCOPE) -b -q $(AM_CSCOPEFLAGS) $(CSCOPEFLAGS) -i cscope.files $(CSCOPE_ARGS)
clean-cscope:
	-rm -f cscope.files
cscope.files: clean-cscope cscopelist
cscopelist: cscopelist-recursive

cscopelist-am: $(am__tagged_files)
	list='$(am__tagged_files)'; \
	case "$(srcdir)" in \
	  [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
	  *) sdir=$(subdir)/$(srcdir) ;; \
	esac; \
	for i in $$list; do \
	  if test -f "$$i"; then \
	    echo "$(subdir)/$$i"; \
	  else \
	    echo "$$sdir/$$i"; \
	  fi; \
	done >> $(top_builddir)/cscope.files
508 509 510

distclean-tags:
	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
Tobias Quathamer's avatar
Tobias Quathamer committed
511
	-rm -f cscope.out cscope.in.out cscope.po.out cscope.files
512 513 514

distdir: $(DISTFILES)
	$(am__remove_distdir)
515
	test -d "$(distdir)" || mkdir "$(distdir)"
LI Daobing's avatar
LI Daobing committed
516 517 518 519 520 521 522 523 524 525 526 527
	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
	list='$(DISTFILES)'; \
	  dist_files=`for file in $$list; do echo $$file; done | \
	  sed -e "s|^$$srcdirstrip/||;t" \
	      -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
	case $$dist_files in \
	  */*) $(MKDIR_P) `echo "$$dist_files" | \
			   sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
			   sort -u` ;; \
	esac; \
	for file in $$dist_files; do \
528 529
	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
	  if test -d $$d/$$file; then \
LI Daobing's avatar
LI Daobing committed
530
	    dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
531 532 533
	    if test -d "$(distdir)/$$file"; then \
	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
	    fi; \
534
	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
535 536
	      cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
537
	    fi; \
538
	    cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
539
	  else \
540 541
	    test -f "$(distdir)/$$file" \
	    || cp -p $$d/$$file "$(distdir)/$$file" \
542 543 544
	    || exit 1; \
	  fi; \
	done
545
	@list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
546
	  if test "$$subdir" = .; then :; else \
547 548 549 550
	    $(am__make_dryrun) \
	      || test -d "$(distdir)/$$subdir" \
	      || $(MKDIR_P) "$(distdir)/$$subdir" \
	      || exit 1; \
551 552 553 554 555 556 557 558 559
	    dir1=$$subdir; dir2="$(distdir)/$$subdir"; \
	    $(am__relativize); \
	    new_distdir=$$reldir; \
	    dir1=$$subdir; dir2="$(top_distdir)"; \
	    $(am__relativize); \
	    new_top_distdir=$$reldir; \
	    echo " (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) top_distdir="$$new_top_distdir" distdir="$$new_distdir" \\"; \
	    echo "     am__remove_distdir=: am__skip_length_check=: am__skip_mode_fix=: distdir)"; \
	    ($(am__cd) $$subdir && \
560
	      $(MAKE) $(AM_MAKEFLAGS) \
561 562
	        top_distdir="$$new_top_distdir" \
	        distdir="$$new_distdir" \
LI Daobing's avatar
LI Daobing committed
563 564
		am__remove_distdir=: \
		am__skip_length_check=: \
565
		am__skip_mode_fix=: \
566 567 568 569
	        distdir) \
	      || exit 1; \
	  fi; \
	done
570
	-test -n "$(am__skip_mode_fix)" \
Tobias Quathamer's avatar
Tobias Quathamer committed
571 572
	|| find "$(distdir)" -type d ! -perm -755 \
		-exec chmod u+rwx,go+rx {} \; -o \
573 574
	  ! -type d ! -perm -444 -links 1 -exec chmod a+r {} \; -o \
	  ! -type d ! -perm -400 -exec chmod a+r {} \; -o \
LI Daobing's avatar
LI Daobing committed
575
	  ! -type d ! -perm -444 -exec $(install_sh) -c -m a+r {} {} \; \
576
	|| chmod -R a+r "$(distdir)"
577 578
dist-gzip: distdir
	tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
Tobias Quathamer's avatar
Tobias Quathamer committed
579
	$(am__post_remove_distdir)
580

581
dist-bzip2: distdir
Tobias Quathamer's avatar
Tobias Quathamer committed
582
	tardir=$(distdir) && $(am__tar) | BZIP2=$${BZIP2--9} bzip2 -c >$(distdir).tar.bz2
Tobias Quathamer's avatar
Tobias Quathamer committed
583
	$(am__post_remove_distdir)
Tobias Quathamer's avatar
Tobias Quathamer committed
584 585 586

dist-lzip: distdir
	tardir=$(distdir) && $(am__tar) | lzip -c $${LZIP_OPT--9} >$(distdir).tar.lz
Tobias Quathamer's avatar
Tobias Quathamer committed
587
	$(am__post_remove_distdir)
588
dist-xz: distdir
Tobias Quathamer's avatar
Tobias Quathamer committed
589
	tardir=$(distdir) && $(am__tar) | XZ_OPT=$${XZ_OPT--e} xz -c >$(distdir).tar.xz
Tobias Quathamer's avatar
Tobias Quathamer committed
590
	$(am__post_remove_distdir)
591

592
dist-tarZ: distdir
Tobias Quathamer's avatar
Tobias Quathamer committed
593 594
	@echo WARNING: "Support for distribution archives compressed with" \
		       "legacy program 'compress' is deprecated." >&2
595
	@echo WARNING: "It will be removed altogether in Automake 2.0" >&2
596
	tardir=$(distdir) && $(am__tar) | compress -c >$(distdir).tar.Z
Tobias Quathamer's avatar
Tobias Quathamer committed
597
	$(am__post_remove_distdir)
598 599

dist-shar: distdir
Tobias Quathamer's avatar
Tobias Quathamer committed
600 601
	@echo WARNING: "Support for shar distribution archives is" \
	               "deprecated." >&2
602
	@echo WARNING: "It will be removed altogether in Automake 2.0" >&2
603
	shar $(distdir) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).shar.gz
Tobias Quathamer's avatar
Tobias Quathamer committed
604
	$(am__post_remove_distdir)
605 606 607 608

dist-zip: distdir
	-rm -f $(distdir).zip
	zip -rq $(distdir).zip $(distdir)
Tobias Quathamer's avatar
Tobias Quathamer committed
609
	$(am__post_remove_distdir)
610

Tobias Quathamer's avatar
Tobias Quathamer committed
611 612 613
dist dist-all:
	$(MAKE) $(AM_MAKEFLAGS) $(DIST_TARGETS) am__post_remove_distdir='@:'
	$(am__post_remove_distdir)
614 615 616 617 618 619 620

# This target untars the dist file and tries a VPATH configuration.  Then
# it guarantees that the distribution is self-contained by making another
# tarfile.
distcheck: dist
	case '$(DIST_ARCHIVES)' in \
	*.tar.gz*) \
Tobias Quathamer's avatar
Tobias Quathamer committed
621
	  GZIP=$(GZIP_ENV) gzip -dc $(distdir).tar.gz | $(am__untar) ;;\
622
	*.tar.bz2*) \
Tobias Quathamer's avatar
Tobias Quathamer committed
623
	  bzip2 -dc $(distdir).tar.bz2 | $(am__untar) ;;\
Tobias Quathamer's avatar
Tobias Quathamer committed
624 625
	*.tar.lz*) \
	  lzip -dc $(distdir).tar.lz | $(am__untar) ;;\
626 627
	*.tar.xz*) \
	  xz -dc $(distdir).tar.xz | $(am__untar) ;;\
628 629 630
	*.tar.Z*) \
	  uncompress -c $(distdir).tar.Z | $(am__untar) ;;\
	*.shar.gz*) \
Tobias Quathamer's avatar
Tobias Quathamer committed
631
	  GZIP=$(GZIP_ENV) gzip -dc $(distdir).shar.gz | unshar ;;\
632 633 634
	*.zip*) \
	  unzip $(distdir).zip ;;\
	esac
Tobias Quathamer's avatar
Tobias Quathamer committed
635 636
	chmod -R a-w $(distdir)
	chmod u+w $(distdir)
Tobias Quathamer's avatar
Tobias Quathamer committed
637
	mkdir $(distdir)/_build $(distdir)/_build/sub $(distdir)/_inst
638
	chmod a-w $(distdir)
639
	test -d $(distdir)/_build || exit 0; \
640 641
	dc_install_base=`$(am__cd) $(distdir)/_inst && pwd | sed -e 's,^[^:\\/]:[\\/],/,'` \
	  && dc_destdir="$${TMPDIR-/tmp}/am-dc-$$$$/" \
642
	  && am__cwd=`pwd` \
Tobias Quathamer's avatar
Tobias Quathamer committed
643 644
	  && $(am__cd) $(distdir)/_build/sub \
	  && ../../configure \
Tobias Quathamer's avatar
Tobias Quathamer committed
645
	    $(AM_DISTCHECK_CONFIGURE_FLAGS) \
646
	    $(DISTCHECK_CONFIGURE_FLAGS) \
Tobias Quathamer's avatar
Tobias Quathamer committed
647
	    --srcdir=../.. --prefix="$$dc_install_base" \
648 649 650 651 652 653 654 655 656 657 658 659 660 661 662 663 664 665 666
	  && $(MAKE) $(AM_MAKEFLAGS) \
	  && $(MAKE) $(AM_MAKEFLAGS) dvi \
	  && $(MAKE) $(AM_MAKEFLAGS) check \
	  && $(MAKE) $(AM_MAKEFLAGS) install \
	  && $(MAKE) $(AM_MAKEFLAGS) installcheck \
	  && $(MAKE) $(AM_MAKEFLAGS) uninstall \
	  && $(MAKE) $(AM_MAKEFLAGS) distuninstallcheck_dir="$$dc_install_base" \
	        distuninstallcheck \
	  && chmod -R a-w "$$dc_install_base" \
	  && ({ \
	       (cd ../.. && umask 077 && mkdir "$$dc_destdir") \
	       && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" install \
	       && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" uninstall \
	       && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" \
	            distuninstallcheck_dir="$$dc_destdir" distuninstallcheck; \
	      } || { rm -rf "$$dc_destdir"; exit 1; }) \
	  && rm -rf "$$dc_destdir" \
	  && $(MAKE) $(AM_MAKEFLAGS) dist \
	  && rm -rf $(DIST_ARCHIVES) \
667 668 669
	  && $(MAKE) $(AM_MAKEFLAGS) distcleancheck \
	  && cd "$$am__cwd" \
	  || exit 1
Tobias Quathamer's avatar
Tobias Quathamer committed
670
	$(am__post_remove_distdir)
671 672
	@(echo "$(distdir) archives ready for distribution: "; \
	  list='$(DIST_ARCHIVES)'; for i in $$list; do echo $$i; done) | \
LI Daobing's avatar
LI Daobing committed
673
	  sed -e 1h -e 1s/./=/g -e 1p -e 1x -e '$$p' -e '$$x'
674
distuninstallcheck:
Tobias Quathamer's avatar
Tobias Quathamer committed
675 676 677 678 679 680 681 682 683 684
	@test -n '$(distuninstallcheck_dir)' || { \
	  echo 'ERROR: trying to run $@ with an empty' \
	       '$$(distuninstallcheck_dir)' >&2; \
	  exit 1; \
	}; \
	$(am__cd) '$(distuninstallcheck_dir)' || { \
	  echo 'ERROR: cannot chdir into $(distuninstallcheck_dir)' >&2; \
	  exit 1; \
	}; \
	test `$(am__distuninstallcheck_listfiles) | wc -l` -eq 0 \
685 686 687 688 689 690 691 692 693 694 695 696 697 698 699 700 701 702 703 704
	   || { echo "ERROR: files left after uninstall:" ; \
	        if test -n "$(DESTDIR)"; then \
	          echo "  (check DESTDIR support)"; \
	        fi ; \
	        $(distuninstallcheck_listfiles) ; \
	        exit 1; } >&2
distcleancheck: distclean
	@if test '$(srcdir)' = . ; then \
	  echo "ERROR: distcleancheck can only run from a VPATH build" ; \
	  exit 1 ; \
	fi
	@test `$(distcleancheck_listfiles) | wc -l` -eq 0 \
	  || { echo "ERROR: files left in build directory after distclean:" ; \
	       $(distcleancheck_listfiles) ; \
	       exit 1; } >&2
check-am: all-am
check: check-recursive
all-am: Makefile $(DATA)
installdirs: installdirs-recursive
installdirs-am:
705
	for dir in "$(DESTDIR)$(jsondir)" "$(DESTDIR)$(pkgconfigdir)"; do \
LI Daobing's avatar
LI Daobing committed
706
	  test -z "$$dir" || $(MKDIR_P) "$$dir"; \
707 708 709 710 711 712 713 714 715 716 717
	done
install: install-recursive
install-exec: install-exec-recursive
install-data: install-data-recursive
uninstall: uninstall-recursive

install-am: all-am
	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am

installcheck: installcheck-recursive
install-strip:
Tobias Quathamer's avatar
Tobias Quathamer committed
718 719 720 721 722 723 724 725 726
	if test -z '$(STRIP)'; then \
	  $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
	    install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
	      install; \
	else \
	  $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
	    install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
	    "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
	fi
727 728 729 730 731 732
mostlyclean-generic:

clean-generic:

distclean-generic:
	-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
733
	-test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
734 735 736 737 738 739 740 741 742 743 744 745 746 747 748 749 750 751 752 753
	-test -z "$(DISTCLEANFILES)" || rm -f $(DISTCLEANFILES)

maintainer-clean-generic:
	@echo "This command is intended for maintainers to use"
	@echo "it deletes files that may require special tools to rebuild."
clean: clean-recursive

clean-am: clean-generic mostlyclean-am

distclean: distclean-recursive
	-rm -f $(am__CONFIG_DISTCLEAN_FILES)
	-rm -f Makefile
distclean-am: clean-am distclean-generic distclean-tags

dvi: dvi-recursive

dvi-am:

html: html-recursive

754 755
html-am:

756 757 758 759
info: info-recursive

info-am:

760
install-data-am: install-dist_jsonDATA install-pkgconfigDATA
761

LI Daobing's avatar
LI Daobing committed
762 763
install-dvi: install-dvi-recursive

764 765
install-dvi-am:

766 767
install-exec-am:

LI Daobing's avatar
LI Daobing committed
768 769
install-html: install-html-recursive

770 771
install-html-am:

772 773
install-info: install-info-recursive

774 775
install-info-am:

776 777
install-man:

LI Daobing's avatar
LI Daobing committed
778 779
install-pdf: install-pdf-recursive

780 781
install-pdf-am:

LI Daobing's avatar
LI Daobing committed
782 783
install-ps: install-ps-recursive

784 785
install-ps-am:

786 787 788 789 790 791 792 793 794 795 796 797 798 799 800 801 802 803 804 805
installcheck-am:

maintainer-clean: maintainer-clean-recursive
	-rm -f $(am__CONFIG_DISTCLEAN_FILES)
	-rm -rf $(top_srcdir)/autom4te.cache
	-rm -f Makefile
maintainer-clean-am: distclean-am maintainer-clean-generic

mostlyclean: mostlyclean-recursive

mostlyclean-am: mostlyclean-generic

pdf: pdf-recursive

pdf-am:

ps: ps-recursive

ps-am:

806
uninstall-am: uninstall-dist_jsonDATA uninstall-pkgconfigDATA
807

Tobias Quathamer's avatar
Tobias Quathamer committed
808
.MAKE: $(am__recursive_targets) install-am install-strip
809

Tobias Quathamer's avatar
Tobias Quathamer committed
810 811 812 813
.PHONY: $(am__recursive_targets) CTAGS GTAGS TAGS all all-am \
	am--refresh check check-am clean clean-cscope clean-generic \
	cscope cscopelist-am ctags ctags-am dist dist-all dist-bzip2 \
	dist-gzip dist-lzip dist-shar dist-tarZ dist-xz dist-zip \
Tobias Quathamer's avatar
Tobias Quathamer committed
814 815 816
	distcheck distclean distclean-generic distclean-tags \
	distcleancheck distdir distuninstallcheck dvi dvi-am html \
	html-am info info-am install install-am install-data \
817 818 819 820 821 822
	install-data-am install-dist_jsonDATA install-dvi \
	install-dvi-am install-exec install-exec-am install-html \
	install-html-am install-info install-info-am install-man \
	install-pdf install-pdf-am install-pkgconfigDATA install-ps \
	install-ps-am install-strip installcheck installcheck-am \
	installdirs installdirs-am maintainer-clean \
Tobias Quathamer's avatar
Tobias Quathamer committed
823 824
	maintainer-clean-generic mostlyclean mostlyclean-generic pdf \
	pdf-am ps ps-am tags tags-am uninstall uninstall-am \
825
	uninstall-dist_jsonDATA uninstall-pkgconfigDATA
826

Tobias Quathamer's avatar
Tobias Quathamer committed
827 828
.PRECIOUS: Makefile

829

830 831 832 833 834 835 836
# Updates all pot files
.PHONY: pot
pot:
	for domain in $(DOMAINS); do \
		cd $$domain && make $$domain.pot && cd ..; \
	done

837 838 839 840 841 842 843
# Updates all xml files
.PHONY: xml
xml:
	for domain in $(DOMAINS); do \
		cd $$domain && make $$domain.xml && cd ..; \
	done

844
.PHONY: release
845 846 847 848
release: update-po check distcheck

.PHONY: update-po
update-po:
849
	for domain in $(DOMAINS); do \
850 851
		cd $$domain && make update-po && cd ..; \
	done
852 853

.PHONY: sign-release
854 855 856
sign-release: iso-codes-$(VERSION).tar.xz
	rm -f iso-codes-$(VERSION).tar.xz.sig
	gpg --detach-sign iso-codes-$(VERSION).tar.xz
857 858 859

.PHONY: upload
upload:
860
	@if [[ -f "iso-codes-$(VERSION).tar.xz" ]] \
861
	&& [[ -f "iso-codes-$(VERSION).tar.xz.sig" ]]; then \
862
		scp iso-codes-$(VERSION).tar.* \
863
		alioth.debian.org:/srv/home/groups/pkg-isocodes/htdocs/downloads; \
864
	fi
865

866 867 868
# Tell versions [3.59,3.63) of GNU make to not export all variables.
# Otherwise a system limit (for SysV at least) may be exceeded.
.NOEXPORT: